%define upstream_name    Dist-Zilla-Plugin-Test-CPAN-Changes
%define upstream_version 0.012

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Release tests for your changelog
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Section)
BuildRequires: perl(Dist::Zilla) >= 4.0.0
BuildRequires: perl(Dist::Zilla::File::InMemory)
BuildRequires: perl(Dist::Zilla::Role::FileGatherer)
BuildRequires: perl(Dist::Zilla::Role::PrereqSource)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Test::CPAN::Changes) >= 0.190.0
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(autodie)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is an extension of the Dist::Zilla::Plugin::InlineFiles manpage,
providing the following file:

    xt/release/cpan-changes.t - a standard Test::CPAN::Changes test

See the Test::CPAN::Changes manpage for what this test does.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README.mkdn
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.12.0-4.mga8
+ Revision: 1504178
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.12.0-3.mga7
+ Revision: 1283338
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.12.0-2.mga7
+ Revision: 1164265
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 sander85 <sander85> 0.12.0-1.mga7
+ Revision: 1157730
- update to 0.012

* Sun Jun 19 2016 pterjan <pterjan> 0.9.0-3.mga6
+ Revision: 1026592
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.9.0-2.mga6
+ Revision: 966711
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 0.9.0-1.mga6
+ Revision: 846710
- update to 0.009

* Wed Oct 15 2014 umeabot <umeabot> 0.8.0-4.mga5
+ Revision: 740981
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.8.0-2.mga4
+ Revision: 526952
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.8.0-1.mga4
+ Revision: 439180
- update to 0.008

* Sun Jan 13 2013 umeabot <umeabot> 0.5.0-2.mga3
+ Revision: 366439
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ jquelin <jquelin>
- update to 0.005

* Wed Apr 13 2011 jquelin <jquelin> 0.3.0-1.mga1
+ Revision: 84300
- imported package perl-Dist-Zilla-Plugin-Test-CPAN-Changes


* Wed Apr 13 2011 cpan2dist 0.003-1mga
- initial mageia release, generated with cpan2dist
